SystemOrganization addCategory: #ConfigurationOfLDAP!

Object subclass: #ConfigurationOfLDAP
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfLDAP'!

!ConfigurationOfLDAP commentStamp: '<historical>' prior: 0!
(ConfigurationOfSoup project version: '1.0') load!

!ConfigurationOfLDAP class methodsFor: 'development support' stamp: 'StephaneDucasse 9/27/2013 21:55'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfLDAP class methodsFor: 'private' stamp: 'StephaneDucasse 9/27/2013 21:55'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfLDAP class methodsFor: 'catalog' stamp: 'StephaneDucasse 9/27/2013 22:06'!
catalogChangeLog
		
 ^ '- Version 1. 0 21/09/2013 migrated to SmalltalkHub
[[[
(ConfigurationOfSoup project version: ''1.0'') load
]]]

'
	
	! !

!ConfigurationOfLDAP class methodsFor: 'catalog' stamp: 'StephaneDucasse 9/27/2013 22:07'!
catalogDescription

^ 
'LDAP (Lightweight Directory Access Protocol) is a library to manage authentification of users over the LDAP protocol.'! !

!ConfigurationOfLDAP class methodsFor: 'catalog' stamp: 'StephaneDucasse 9/27/2013 22:13'!
catalogKeyClassesAndExample

	^ '==LDAPConnection== , ==LDAPAttrModifier== and ==LDAPFilter== are the key classes of the package.'! !

!ConfigurationOfLDAP class methodsFor: 'catalog' stamp: 'StephaneDucasse 9/27/2013 22:09'!
catalogKeywords
	^ #(LDAP web network distributed)
	! !

!ConfigurationOfLDAP class methodsFor: 'private' stamp: 'StephaneDucasse 9/27/2013 21:55'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfLDAP class methodsFor: 'private' stamp: 'StephaneDucasse 9/27/2013 21:55'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfLDAP class methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 9/27/2013 21:55'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfLDAP class methodsFor: 'loading' stamp: 'StephaneDucasse 9/27/2013 21:55'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfLDAP class methodsFor: 'loading' stamp: 'StephaneDucasse 9/27/2013 21:55'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfLDAP class methodsFor: 'loading' stamp: 'StephaneDucasse 9/27/2013 21:55'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfLDAP class methodsFor: 'accessing' stamp: 'StephaneDucasse 9/27/2013 21:55'!
project

	^self new project! !

!ConfigurationOfLDAP class methodsFor: 'development support' stamp: 'StephaneDucasse 9/27/2013 21:55'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfLDAP methodsFor: 'baselines' stamp: 'StephaneDucasse 9/27/2013 21:55'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'pharo' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/PharoExtras/LDAP/main'.
		spec package: 'LDAP'].
		
		
	 ! !

!ConfigurationOfLDAP methodsFor: 'accessing' stamp: 'StephaneDucasse 9/27/2013 21:55'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfLDAP methodsFor: 'symbolic versions' stamp: 'StephaneDucasse 9/27/2013 21:55'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfLDAP methodsFor: 'accessing' stamp: 'StephaneDucasse 9/27/2013 21:55'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk globals at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfLDAP methodsFor: 'symbolic versions' stamp: 'StephaneDucasse 9/27/2013 21:55'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfLDAP methodsFor: 'versions' stamp: 'StephaneDucasse 9/27/2013 21:59'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'First release'.
		spec author: 'S. Ducasse'.
		spec timestamp: '27/09/2013 08:58'.
		spec package: 'LDAP' with: 'LDAP-RHE.51'. 		 
	].

! !
